﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace luento11_controls
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();

            CommandBinding OpenCmdBinding = new CommandBinding(
             ApplicationCommands.Open,
             OpenCmdExecuted,
             OpenCmdCanExecute);
            this.CommandBindings.Add(OpenCmdBinding);

        }
        void OpenCmdExecuted(object target, ExecutedRoutedEventArgs e)
        {
            String command, targetobj;
            command = ((RoutedCommand)e.Command).Name;
            targetobj = ((FrameworkElement)target).Name;
            MessageBox.Show("The " + command + " command has been invoked on target object " + targetobj);
        }
        void OpenCmdCanExecute(object sender, CanExecuteRoutedEventArgs e)
        {
            if (textBox1 != null && textBox1.Text != "") e.CanExecute = true;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Page2 sivu = new Page2();
            this.NavigationService.Navigate(sivu);
        }
        private void HandleCheck(object sender, RoutedEventArgs e)
        {
            checkBox1.Content = "The CheckBox is checked.";
        }

        private void HandleUnchecked(object sender, RoutedEventArgs e)
        {
            checkBox1.Content = "The CheckBox is unchecked.";
        }

        private void HandleThirdState(object sender, RoutedEventArgs e)
        {
            checkBox1.Content = "The CheckBox is in the indeterminate state.";
        }

        private void radioButton4_Unchecked(object sender, RoutedEventArgs e)
        {
            ((RadioButton)sender).Content = "Radiobutton ei ole valittuna";

        }

        private void radioButton4_Checked(object sender, RoutedEventArgs e)
        {
            // sama voidaan tarkistaa radiobutton.IsChecked-propertysta
            ((RadioButton)sender).Content = "Radiobutton on valittuna";

        }

    }

}
